## wcs-olap 1.65

=== debian/changelog ===
wcs-olap (1.65-1~eob130+1) trixie-eobuilder; urgency=low

  * (e5079b) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:26:26 +0200

wcs-olap (1.64) trixie-eobuilder; urgency=low

  * (764968) misc: let pre-commit apply changes (#101218)
  * (963638) ci: update black version (#101218)
  * (3c4366) ci: change black to target python 3.11 (#101218)
  * (4e94e4) tests: update qommon import to use wcs.qommon (#95404)
  * (b58548) ci: update wcs dependency on bleach (#93682)
  * (65cf92) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (dbd5c8) ci: stop building for bullseye (#93027)
  * (9d92f7) tox: add new wcs dependencies (#89047)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 09 Feb 2025 13:17:20 +0100

wcs-olap (1.63) trixie-eobuilder; urgency=low

  * (d9609f) tests: adapt to wcs switch to timestamptz (#86887)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 12 Feb 2024 18:34:30 +0100

wcs-olap (1.62) trixie-eobuilder; urgency=low

  * (694e40) misc: add explicit flag to get anonymised forms (#86606)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 06 Feb 2024 14:30:12 +0100

wcs-olap (1.61) trixie-eobuilder; urgency=low

  * (b6d00f) misc: add support for the new "file-import" channel (#81074)
  * (31b63b) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (4627cf) misc: apply double-quote-string-fixer (#79788)
  * (362bd3) misc: add pre commit hook to force single quotes (#79788)
  * (d68ce5) tests: kill wcs process in more places (#80373)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 14 Sep 2023 07:57:43 +0200

wcs-olap (1.60) trixie-eobuilder; urgency=low

  * (cd1290) ci: build deb package for bookworm (#78968)
  * (b128ab) ci: fix wcs git url (#76647)
  * (b1eeb4) debian: apply new pre-commit-debian (#77727)
  * (a06432) ci: upgrade pre-commit-debian (#77727)
  * (12f09c) ci: update wcs git URI for gitea (#76647)
  * (c65766) tox: add emoji (new wcs dependency) (#76643)
  * (837c96) tox: bump django to 3.2 (#75623)
  * (40feb7) tests: remove usage of string fields (#74653)
  * (559681) Prepare Jenkinsfile for Gitea migration (#74572)
  * (d8047a) ci: declare Pillow as wcs dependency (#74563)
  * (4b20fb) ci: upgrade isort (#74044)
  * (821b9b) ci: only build package for bullseye (#72729)
  * (fab6fa) ci: limit tox version used while running tests (#72165)
  * (aaeaf0) tox: add phonenumbers (new wcs dependency) (#69838)
  * (09e6ef) ci: update pyupgrade to 3.1.0 (#70693)
  * (a41c24) tox: declare new w.c.s. dependencies
  * (ccc5f7) trivial: add reformatting commit hash to .git-blame-ignore-revs
  * (461254) trivial: apply pre-commit
  * (c27d34) misc: add pre-commit configuration
  * (9b2646) tests: setup wcs with postgresql storage (#67403)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 23 Jun 2023 18:09:53 +0200

wcs-olap (1.59) trixie-eobuilder; urgency=low

  * (74eb8a) feeder: do not use UNLOGGED tables for persistent data (#65220)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 13 May 2022 14:57:47 +0200

wcs-olap (1.58) trixie-eobuilder; urgency=low

  * (d888b4) only consider bool/item/items fields if explicitely marked for stats
    (#63432)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 01 Apr 2022 09:17:25 +0200

wcs-olap (1.57) trixie-eobuilder; urgency=low

  * (420c72) feeder: ignore non string items (#60243)
  * (016ff7) jenkins: show execution context in coverage reports (#60446)
  * (70dc27) jenkins: use python3 to get a port for postgresql (#60467)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 21 Jan 2022 11:07:26 +0100

wcs-olap (1.56) trixie-eobuilder; urgency=low

  * (642b7e) feeder: create UNLOGGED tables (#59656)
  * (f94da4) tox: add unidecode somehow now missing
  * (5536b0) tox: declare new wcs dependency (dnspython)
  * (817d5a) jenkins: build packages for buster & bullseye

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 22 Dec 2021 10:56:22 +0100

wcs-olap (1.55) trixie-eobuilder; urgency=low

  * (7aaa76) tox: add bleach, new w.c.s. dependency
  * (c7e1fd) debian: switch to debhelper-compat 12 (#57538)
  * (cc2862) debian: do not run tests

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 30 Nov 2021 17:26:20 +0100

wcs-olap (1.54) trixie-eobuilder; urgency=low

  * (a08c62) feeder: create an unique slug if necessary (#42911)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 19 Aug 2021 11:59:03 +0200

wcs-olap (1.53) trixie-eobuilder; urgency=low

  * (05c403) feeder: prevent situation of half-dropped schema (#54658)
  * (e0a28c) feeder: set synchronous_commit to off during feed (#56039)
  * (47a85d) feeder: add option post-sync-commands (#56164)
  * (5baffc) cmd: use Logger.setLevel() (#56038)
  * (769032) tests: add test_sentry (#56038)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 17 Aug 2021 23:07:54 +0200

wcs-olap (1.52) trixie-eobuilder; urgency=low

  * (9476ad) misc: integrate with sentry (#56038)
  * (48b8ad) tox: run tests against django 2.2
  * (61c608) tox: limit psycopg2 to < 2.9 (#54925)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 07 Aug 2021 15:35:30 +0200

wcs-olap (1.51) trixie-eobuilder; urgency=low

  * (b3a59e) Revert "feeder: set deadlock_timeout to 10 seconds (#54658)"
  * (9bd160) do not store digits value if outside integer range (#54702)
  * (f8c4a0) tests: add invalid integer to wcs fixture (#54702)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 14 Jun 2021 09:44:41 +0200

wcs-olap (1.50) trixie-eobuilder; urgency=low

  * (c74766) feeder: set deadlock_timeout to 10 seconds (#54658)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 08 Jun 2021 17:26:43 +0200

wcs-olap (1.49) trixie-eobuilder; urgency=low

  * (ee4bca) feeder: log failing SQL statements (#45314)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 28 May 2021 08:19:34 +0200

wcs-olap (1.48) trixie-eobuilder; urgency=low

  * (d44faf) misc: handle invisible statuses using real_status (#40643)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 18 May 2021 19:50:11 +0200


