=== debian/control ===
Source: wcs-olap
Section: python
Priority: optional
Maintainer: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.6
Homepage: http://dev.entrouvert.org/projects/wcs-olap/

Package: wcs-olap
Architecture: all
Depends: ${python3:Depends},
Description: Export w.c.s. datas into a snowflake schema built on PostgreSQL
