=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=wcs-olap
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild
